JUCE: TextDragAndDropTarget Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TextDragAndDropTarget Class Referenceabstract
juce_gui_basics » mouse

Components derived from this class can have text dropped onto them by an external application. More...

`#include <juce_TextDragAndDropTarget.h>`

## Public Member Functions
virtual | ~TextDragAndDropTarget ()=default
| Destructor.
virtual bool | isInterestedInTextDrag (const String &text)=0
| Callback to check whether this target is interested in the set of text being offered.
virtual void | textDragEnter (const String &text, int x, int y)
| Callback to indicate that some text is being dragged over this component.
virtual void | textDragMove (const String &text, int x, int y)
| Callback to indicate that the user is dragging some text over this component.
virtual void | textDragExit (const String &text)
| Callback to indicate that the mouse has moved away from this component.
virtual void | textDropped (const String &text, int x, int y)=0
| Callback to indicate that the user has dropped the text onto this component.

## Detailed Description

Components derived from this class can have text dropped onto them by an external application.

See also
  DragAndDropContainer

## Constructor & Destructor Documentation

## ◆ ~TextDragAndDropTarget()

virtual TextDragAndDropTarget::~TextDragAndDropTarget | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ isInterestedInTextDrag()

virtual bool TextDragAndDropTarget::isInterestedInTextDrag | ( | const String & | text | ) |
| pure virtual

Callback to check whether this target is interested in the set of text being offered.

Note that this will be called repeatedly when the user is dragging the mouse around over your component, so don't do anything time-consuming in here!

Parameters

  text | the text that the user is dragging

Returns
  true if this component wants to receive the other callbacks regarding this type of object; if it returns false, no other callbacks will be made.

## ◆ textDragEnter()

virtual void TextDragAndDropTarget::textDragEnter | ( | const String & | text,
|  | int | x,
|  | int | y
| ) |  |
| virtual

Callback to indicate that some text is being dragged over this component.

This gets called when the user moves the mouse into this component while dragging.

Use this callback as a trigger to make your component repaint itself to give the user feedback about whether the text can be dropped here or not.

Parameters

  text | the text that the user is dragging
  x | the mouse x position, relative to this component
  y | the mouse y position, relative to this component

## ◆ textDragMove()

virtual void TextDragAndDropTarget::textDragMove | ( | const String & | text,
|  | int | x,
|  | int | y
| ) |  |
| virtual

Callback to indicate that the user is dragging some text over this component.

This gets called when the user moves the mouse over this component while dragging. Normally overriding itemDragEnter() and itemDragExit() are enough, but this lets you know what happens in-between.

Parameters

  text | the text that the user is dragging
  x | the mouse x position, relative to this component
  y | the mouse y position, relative to this component

## ◆ textDragExit()

virtual void TextDragAndDropTarget::textDragExit | ( | const String & | text | ) |
| virtual

Callback to indicate that the mouse has moved away from this component.

This gets called when the user moves the mouse out of this component while dragging the text.

If you've used textDragEnter() to repaint your component and give feedback, use this as a signal to repaint it in its normal state.

Parameters

  text | the text that the user is dragging

## ◆ textDropped()

virtual void TextDragAndDropTarget::textDropped | ( | const String & | text,
|  | int | x,
|  | int | y
| ) |  |
| pure virtual

Callback to indicate that the user has dropped the text onto this component.

When the user drops the text, this get called, and you can use the text in whatever way is appropriate.

Note that after this is called, the textDragExit method may not be called, so you should clean up in here if there's anything you need to do when the drag finishes.

Parameters

  text | the text that the user is dragging
  x | the mouse x position, relative to this component
  y | the mouse y position, relative to this component

The documentation for this class was generated from the following file:

- juce_TextDragAndDropTarget.h